## qt-maemo-example 0.1-2

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.4.0) on: Wed Aug 13 14:59:48 2008
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -laudio -lXt -lpng -lSM -lICE -pthread -pthread -lXrender -lfreetype -lXext -lX11 -lQtCore -lfontconfig -lz -lm -pthread -lgthread-2.0 -lrt -lglib-2.0 -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp \
		qrc_application.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o \
		qrc_application.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = src
DESTDIR       = 
TARGET        = src

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/src1.0.0 || $(MKDIR) .tmp/src1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/src1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/src1.0.0/ && $(COPY_FILE) --parents application.qrc .tmp/src1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/src1.0.0/ && (cd `dirname .tmp/src1.0.0` && $(TAR) src1.0.0.tar src1.0.0 && $(COMPRESS) src1.0.0.tar) && $(MOVE) `dirname .tmp/src1.0.0`/src1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/src1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all: qrc_application.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_application.cpp
qrc_application.cpp: application.qrc \
		images/new.png \
		images/copy.png \
		images/cut.png \
		images/save.png \
		images/paste.png \
		images/open.png
	/usr/bin/rcc -name application application.qrc -o qrc_application.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

qrc_application.o: qrc_application.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_application.o qrc_application.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
