=== debian/changelog ===
qt-maemo-example (0.1-2) unstable; urgency=low

  * Fix Maemo-Icon-26 field in control
  * Fix postinstall script
  * Remove install script

 -- Antonio Aloisio <gnuton@gnuton.org>  Fri, 15 Aug 2008 08:46:17 +0300

qt-maemo-example (0.1-1) unstable; urgency=low

  * Initial release 

 -- Antonio Aloisio <gnuton@gnuton.org>  Wed, 13 Aug 2008 14:17:22 +0300
